Форум русскоязычного сообщества Ubuntu


Автор Тема: колесо прокрутки мыши перестало работать после обновления  (Прочитано 3525 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн valentin630

  • Автор темы
  • Участник
  • *
  • Сообщений: 165
    • Просмотр профиля
Ubuntu 16.04.06 после очередного обновления перестали работать колеса на мыши.
Пробовал другую мышь - не работает тоже.
evtest не видит колес.
Есть мысли?

Оффлайн andytux

  • Старожил
  • *
  • Сообщений: 4457
    • Просмотр профиля
Вертеть назад "колесо обновлений." Если было обновление ядра, то пробовать загрузиться с более старым ядром.

Оффлайн valentin630

  • Автор темы
  • Участник
  • *
  • Сообщений: 165
    • Просмотр профиля
Вертеть назад "колесо обновлений." Е
Хотел попробовать, да "колесо обновлений." не нашел (если это про стадию загрузки)

Оффлайн damix

  • Активист
  • *
  • Сообщений: 534
    • Просмотр профиля
andytux, ... и впредь соблюдать заповедь "работает - не трожь"

valentin630, что выдает
tail -n 50 /var/log/apt/history.log?

Оффлайн valentin630

  • Автор темы
  • Участник
  • *
  • Сообщений: 165
    • Просмотр профиля
?
Start-Date: 2019-09-02  15:02:13
Commandline: aptdaemon role='role-commit-packages' sender=':1.70'
Upgrade: libcups2:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), libcups2:i386 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups-server-common:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups-common:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups-ppdc:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), libcupsmime1:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), libcupsppdc1:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups-bsd:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups-core-drivers:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups-daemon:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), libcupsimage2:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), libcupscgi1:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10), cups-client:amd64 (2.1.3-4ubuntu0.9, 2.1.3-4ubuntu0.10)
Remove: linux-modules-4.15.0-52-generic:amd64 (4.15.0-52.56~16.04.1), linux-headers-4.15.0-52-generic:amd64 (4.15.0-52.56~16.04.1), linux-headers-4.15.0-52:amd64 (4.15.0-52.56~16.04.1), linux-image-4.15.0-52-generic:amd64 (4.15.0-52.56~16.04.1), linux-modules-extra-4.15.0-52-generic:amd64 (4.15.0-52.56~16.04.1)
End-Date: 2019-09-02  15:02:47

Start-Date: 2019-09-02  15:05:33
Commandline: aptdaemon role='role-commit-packages' sender=':1.70'
Upgrade: libreoffice-wiki-publisher:amd64 (1.2.0+LibO6.2.5-0ubuntu0.16.04.1~lo1, 1.2.0+LibO6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-style-breeze:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-math:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-script-provider-js:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-report-builder-bin:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libldap2-dev:amd64 (2.4.42+dfsg-2ubuntu3.6, 2.4.42+dfsg-2ubuntu3.7), libreoffice-sdbc-postgresql:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-sdbc-mysql:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libldap-2.4-2:amd64 (2.4.42+dfsg-2ubuntu3.6, 2.4.42+dfsg-2ubuntu3.7), libreoffice-gtk2:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-java-common:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-base:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libgs9:amd64 (9.26~dfsg+0-0ubuntu0.16.04.10, 9.26~dfsg+0-0ubuntu0.16.04.11), libreoffice-core:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-l10n-en-gb:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-l10n-en-za:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), gitlab-ee:amd64 (12.1.6-ee.0, 12.2.3-ee.0), skypeforlinux:amd64 (8.51.0.86, 8.51.0.92), libreoffice-l10n-ru:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-librelogo:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), python3-uno:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-script-provider-python:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-base-core:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-ogltrans:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-impress:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-style-elementary:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-help-ru:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libgif7:amd64 (5.1.4-0.3~16.04, 5.1.4-0.3~16.04.1), libreoffice-style-colibre:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), ure:amd64 (6.2.5-0ubuntu0.16.04.1~lo1, 6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-sdbc-hsqldb:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-writer:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-common:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-script-provider-bsh:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), ghostscript:amd64 (9.26~dfsg+0-0ubuntu0.16.04.10, 9.26~dfsg+0-0ubuntu0.16.04.11), ghostscript-x:amd64 (9.26~dfsg+0-0ubuntu0.16.04.10, 9.26~dfsg+0-0ubuntu0.16.04.11), libgs9-common:amd64 (9.26~dfsg+0-0ubuntu0.16.04.10, 9.26~dfsg+0-0ubuntu0.16.04.11), libreoffice-nlpsolver:amd64 (0.9+LibO6.2.5-0ubuntu0.16.04.1~lo1, 0.9+LibO6.2.6-0ubuntu0.16.04.1~lo1), libreoffice:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), fonts-opensymbol:amd64 (2:102.10+LibO6.2.5-0ubuntu0.16.04.1~lo1, 2:102.10+LibO6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-pdfimport:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-report-builder:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), uno-libs3:amd64 (6.2.5-0ubuntu0.16.04.1~lo1, 6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-style-tango:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-help-en-gb:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-help-en-us:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-gnome:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-calc:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-base-drivers:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-draw:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1), libreoffice-avmedia-backend-gstreamer:amd64 (1:6.2.5-0ubuntu0.16.04.1~lo1, 1:6.2.6-0ubuntu0.16.04.1~lo1)
End-Date: 2019-09-02  15:08:28

Start-Date: 2019-09-04  13:37:29
Commandline: aptdaemon role='role-commit-packages' sender=':1.591'
Install: linux-modules-extra-4.15.0-60-generic:amd64 (4.15.0-60.67~16.04.1, automatic), linux-headers-4.15.0-60:amd64 (4.15.0-60.67~16.04.1, automatic), linux-modules-4.15.0-60-generic:amd64 (4.15.0-60.67~16.04.1, automatic), linux-headers-4.15.0-60-generic:amd64 (4.15.0-60.67~16.04.1, automatic), linux-image-4.15.0-60-generic:amd64 (4.15.0-60.67~16.04.1, automatic)
Upgrade: linux-libc-dev:amd64 (4.4.0-159.187, 4.4.0-161.189), ruby2.3:amd64 (2.3.1-2~16.04.12, 2.3.1-2~ubuntu16.04.13), linux-image-generic-hwe-16.04:amd64 (4.15.0.58.79, 4.15.0.60.81), linux-generic-hwe-16.04:amd64 (4.15.0.58.79, 4.15.0.60.81), gitlab-ee:amd64 (12.2.3-ee.0, 12.2.4-ee.0), libruby2.3:amd64 (2.3.1-2~16.04.12, 2.3.1-2~ubuntu16.04.13), linux-headers-generic-hwe-16.04:amd64 (4.15.0.58.79, 4.15.0.60.81), libsnapd-glib1:amd64 (1.47-0ubuntu0.16.04.0, 1.49-0ubuntu0.16.04.0)
End-Date: 2019-09-04  13:40:40

Start-Date: 2019-09-05  10:47:45
Commandline: apt install evtest
Requested-By: kuzmin (1000)
Install: evemu-tools:amd64 (2.1.0-1build1, automatic), evtest:amd64 (1:1.33-1), libevemu3:amd64 (2.1.0-1build1, automatic)
End-Date: 2019-09-05  10:47:49

Пользователь добавил сообщение 05 Сентябрь 2019, 12:14:31:
andytux, ... и впредь соблюдать заповедь "работает - не трожь"
Золотые слова! Вернулся к прежнему ядру - колесо заработало.

Пользователь добавил сообщение 05 Сентябрь 2019, 12:19:38:

"ключница делала": 4.15.0-60
« Последнее редактирование: 05 Сентябрь 2019, 12:19:38 от valentin630 »

Оффлайн damix

  • Активист
  • *
  • Сообщений: 534
    • Просмотр профиля
Вернулся к прежнему ядру - колесо заработало.
А какое прежнее было?

Вообще лучше иметь бэкапы (просто куда-то скопированные файлы линукса или заархивированные или с помощью программ типа timeshift) тогда можно обновлять все что угодно, не опасаясь что-то сломать.

Оффлайн valentin630

  • Автор темы
  • Участник
  • *
  • Сообщений: 165
    • Просмотр профиля

Оффлайн megavolt85

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
та же проблема, мышь A4TECH X6-60D
на ядрах 4.15.0-60 и 4.15.0-62 колесо прокрутки не работает, хотя на беспроводной всё норм
откатился до 4.15.0-58

Оффлайн damix

  • Активист
  • *
  • Сообщений: 534
    • Просмотр профиля
4.15.0-58
на ядрах 4.15.0-60 и 4.15.0-62 колесо прокрутки не работает,
Очень весело. Значит, это убунтовцы своими патчами сломали ядро. Число после дефиса означает, сколько патчей наложили разработчики Ubuntu на изначальное ("ванильное") ядро линукс (версии 4.15.0).
Можно им по ушам поездить.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13696
  • Xubuntu 18.04
    • Просмотр профиля
Число после дефиса означает, сколько патчей наложили разработчики Ubuntu на изначальное ("ванильное") ядро линукс (версии 4.15.0).
Это откуда вы такую чушь взяли?
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн The Green Side

  • Старожил
  • *
  • Сообщений: 1175
    • Просмотр профиля
Pilot6, просвятите? мне любопытно.
нашёл changelog от Canonical, подробностей в нём нет, вообще никаких, ссылаются на некий "master", то есть апстрим?
В зеркале апстрима в упор не вижу релизов выше 4.15.0 (январь 2018)
Только на https://git.kernel.org не отправляйте, я с этим не разберусь :)
Debian Testing (Gnome), Ubuntu Server 18.04

Оффлайн damix

  • Активист
  • *
  • Сообщений: 534
    • Просмотр профиля
Pilot6, отсюда
Цитировать
Нумерация версий ядра Ubuntu и на сайте kernel.org не совпадает, так как для обозначения добавленных патчей разработчики из Canonical добавляют микроверсию. Например, версия 3.2.0-23 будет означать, что ядро базируется на ветке 3.2, на которую было наложено 23 патча.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13696
  • Xubuntu 18.04
    • Просмотр профиля
Про 23 патча это примитивно. Если напомните, я напишу откуда берутся эти ядра. Там довольно хитрая схема.
Это наверняка где-то описано, но мне не попадалось.

Если кратко, то Canonical, когда использует в релизе не LTS ядра, то они продолжают поддержку по стандартам mainline в отдельном git. То есть портируют патчи, которые идут по каналу stable на kernel.org.

А из них уже по своим правилам формируют ядра. Так что после дефиса - это минорная версия ядра. В основном в эти версии включаются багфиксы из апстрима.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн valentin630

  • Автор темы
  • Участник
  • *
  • Сообщений: 165
    • Просмотр профиля
я напишу откуда берутся эти ядра.
Два компьютера постоянно апдейтятся, а ядра разные, откуда такое берется?

Welcome to Ubuntu 16.04.6 LTS (GNU/Linux 4.4.0-161-generic x86_64)
и
Welcome to Ubuntu 16.04.6 LTS (GNU/Linux 4.15.0-58-generic x86_64)


Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13696
  • Xubuntu 18.04
    • Просмотр профиля
Два компьютера постоянно апдейтятся, а ядра разные, откуда такое берется?
Первую ставили изначально 16.04, а вторую 16.04.2+

Поэтому там разные метапакеты, и разные линейки ядра. Легко меняется.
Я в личке не консультирую. Вопросы задавайте на форуме.

 

Страница сгенерирована за 0.094 секунд. Запросов: 25.